Subject: bug#29463: Backtraces with large strings is very slow

From: Kaushal Modi <[email-masked]>
Date: Tue, 28 Nov 2017 22:33:07 +0000

> I was trying to debug some code that dealt with very large SVG images,
and getting a backtrace buffer proved impossible -- Emacs would just
hang.

+1. Though I see that slow-down on backtrace on emacs-26 branch too..
especially when edebugging/debugging through code in an Org exporter.

Org exporters use an INFO plist that contains loads of information for the
whole Org buffer (which is common to be 1000's of lines). So each time the
edebug step comes to the info variable, it could few minutes for emacs
before I can move on to the next edebug step.
-- 

Kaushal Modi